INTERFACE
SUBROUTINE CUBASMCNAD&
 & (KIDIA, KFDIA, KLON, KLEV,&
 & KK,&
 & PTEN5, PQEN5, PQSEN5,&
 & PVERVEL5, PGEO5, PGEOH5, LDCUM, KTYPE, KLAB,&
 & KCBOT, PMFU5, PMFUB5, PENTR5, PLRAIN5,&
 & PTU5, PQU5, PLU5,&
 & PMFUS5, PMFUQ5, PMFUL5, PDMFUP5 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KK
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
LOGICAL ,INTENT(IN) :: LDCUM(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KTYPE(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLAB(KLON,KLEV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCBOT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUB5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PENTR5(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLRAIN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFUL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFUP5(KLON,KLEV)
END SUBROUTINE CUBASMCNAD
END INTERFACE
